Subject: Re: Linking in InitiateSystemShutdown()...
From: [email-masked] (root)

25 Jan 1997 14:19:01 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text
Original-To: [email-masked]
Original-Cc: [email-masked]
In-Reply-To: <[email-masked]> from "Ryan C. Gordon" at Jan 25, 97 07:07:32 am
Content-Length: 924       
Original-Sender: [email-masked]

> 
> Ok, forgive a potentially stupid question, but in an attempt to 
> figure out how the API InitiateSystemShutdown() works, I wrote an 
> incredibly simplistic program...here it is:
> 
> 
> #include <windows.h>
> 
> int main(void)
> {
>     InitiateSystemShutdown(NULL, "REBOOOOOOOT!", 5, FALSE, TRUE);
>     return(0);
> }
> 
> 
> Now, when compiling, I get this:
> 
> C:\2\C>gcc testshutdown.c -o testshutdown.exe
> 
> C:\WINDOWS\TEMP/cc0010001.o(.text+0x26):testshutdown.c: undefined reference to `
> InitiateSystemShutdownA@20'
> 
> How do I remedy this? Er...I'm running on a Win95 box, and I'm using 
                             ^^^^^^^^^^^^^^^^^^^^^^^^^^
> version 17.1 of the development tools.

According to the SDK documentation InitiateSystemShutdown doesn't exist in
Windows95.

-- 
Jacob Navia	Logiciels/Informatique
41 rue Maurice Ravel			Tel 01 48.23.51.44
93430 Villetaneuse 			Fax 01 48.23.95.39
France
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".